$(document).ready(function () {

    $('#select_all').change(function () {
        var checkboxes = $(this).closest('form').find(':checkbox');
        if ($(this).is(':checked')) {
            checkboxes.attr('checked', 'checked');
        } else {
            checkboxes.removeAttr('checked');
        }
    });

    $("#btnSalvar").click(function () {

        if ($('#databaixa').val() == '') {

            alert('O campo data da baixa é obrigatório');
            $('#databaixa').focus();
            return false;
        }

        if ($('#forma').val() == '') {

            alert('Selecione uma forma de pagamento');
            $('#forma').focus();
            return false;
        }

        $('#hdnAction').val() = 'save';

    });

});